CapstoneProjectToDoApplication/Models/ToDoTask.cs
using System.ComponentModel.DataAnnotations;
#pragma warning disable CS8618

namespace CapstoneProjectToDoApplication.Models
{
    public class ToDoTask
    {
        public int Id { get; set; }
        public string Title { get; set; }
        public string ?Description { get; set; }
        public string Status { get; set; }
        [DisplayFormat(DataFormatString = "{0:yyyy-MM-dd}", ApplyFormatInEditMode = true)]
        [Display(Name = "Created Date")]
        public DateTime Created { get; set; }
        [DisplayFormat(DataFormatString = "{0:yyyy-MM-dd}", ApplyFormatInEditMode = true)]
        [Display(Name = "Due Date")]
        public DateTime DueDate { get; set; }
        [Display(Name = "Completed")]
        public bool ?IsCompleted { get; set; }
        public int ListId { get; set; }
        public ToDoList List { get; set; }
    }
}

CapstoneProjectToDoApplication/Controllers/ToDoListsController.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using CapstoneProjectToDoApplication.Database.DbConnection;
using CapstoneProjectToDoApplication.Models;
#pragma warning disable CS8600
#pragma warning disable CS8602
#pragma warning disable S2259

namespace CapstoneProjectToDoApplication.Controllers
{
    public class ToDoListsController : Controller
    {
        private readonly ToDoDbContext _context;

        public ToDoListsController(ToDoDbContext context)
        {
            _context = context;
        }

        public async Task<IActionResult> Index()
        {
            var result = _context.ToDoLists.Where(l => l.Hide != true);
            return View(await result.ToListAsync());
        }

        public async Task<IActionResult> Copy(int id)
        {
            var list = await _context.ToDoLists.SingleOrDefaultAsync(list => list.Id == id);
            ToDoList result = new()
            {
                Title = "Copy "+ list.Title,
                Hide = false,
            };

            _context.ToDoLists.Add(result);

            var tasks = _context.ToDoTasks.Where(x => x.ListId == id).ToList();

            foreach (var task in tasks)
            {
                var newTask = new ToDoTask
                {
                    Title = task.Title,
                    Description = task.Description,
                    Status = task.Status,
                    Created = task.Created,
                    DueDate = task.DueDate,
                    IsCompleted = task.IsCompleted,
                    ListId = result.Id,
                    List = result
                };

                _context.ToDoTasks.Add(newTask);
            }

            await _context.SaveChangesAsync();

            return RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> ShowHidden()
        {
            var result = _context.ToDoLists.Where(l => l.Hide == true);
            return View(await result.ToListAsync());
        }

        public async Task<IActionResult> Hide(int id)
        {
            ToDoList list = _context.ToDoLists.FirstOrDefault(x => x.Id == id);
            list.Hide = true;
            await _context.SaveChangesAsync();

            return RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> Unhide(int id)
        {
            ToDoList list = _context.ToDoLists.FirstOrDefault(x => x.Id == id);
            list.Hide = false;
            await _context.SaveChangesAsync();

            return RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> Details(int? id)
        {
            var toDoList = await _context.ToDoLists
                .FirstOrDefaultAsync(m => m.Id == id);
            if (toDoList == null)
            {
                return NotFound();
            }

            return View(toDoList);
        }

        public IActionResult Create()
        {
            return View(new ToDoList());
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Title")] ToDoList toDoList)
        {
            _context.Add(toDoList);
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> Edit(int? id)
        {
            var toDoList = await _context.ToDoLists.FindAsync(id);
            if (toDoList == null)
            {
                return NotFound();
            }
            return View(toDoList);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("Id,Title")] ToDoList toDoList)
        {
            if (id != toDoList.Id)
            {
                return NotFound();
            }

            try
            {
                _context.Update(toDoList);
                await _context.SaveChangesAsync();
            }
            catch (DbUpdateConcurrencyException)
            {
                if (!ToDoListExists(toDoList.Id))
                {
                    return NotFound();
                }
                else
                {
                    throw;
                }
            }

            return RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null || _context.ToDoLists == null)
            {
                return NotFound();
            }

            var toDoList = await _context.ToDoLists
                .FirstOrDefaultAsync(m => m.Id == id);

            if (toDoList == null)
            {
                return NotFound();
            }

            return View(toDoList);
        }

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            if (_context.ToDoLists == null)
            {
                return Problem("Entity set 'ToDoDbContext.ToDoLists'  is null.");
            }
            var toDoList = await _context.ToDoLists.FindAsync(id);
            if (toDoList != null)
            {
                _context.ToDoLists.Remove(toDoList);
            }
            
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        private bool ToDoListExists(int id)
        {
            return _context.ToDoLists.Any(e => e.Id == id);
        }
    }
}

CapstoneProjectToDoApplication/Controllers/ToDoTasksController.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using CapstoneProjectToDoApplication.Database.DbConnection;
using CapstoneProjectToDoApplication.Models;
#pragma warning disable S2259
#pragma warning disable CS8600
#pragma warning disable CS8602

namespace CapstoneProjectToDoApplication.Controllers
{
    public class ToDoTasksController : Controller
    {
        private readonly ToDoDbContext _context;
        private readonly int date = DateTime.Today.DayOfYear;

        public ToDoTasksController(ToDoDbContext context)
        {
            _context = context;
        }

        public async Task<IActionResult> Index()
        {
            var toDoDbContext = _context.ToDoTasks.Where(x => x.IsCompleted != true);
            return View(await toDoDbContext.ToListAsync());
        }

        public async Task<IActionResult> GetTasks(int id)
        {
            var tasks = _context.ToDoTasks.Where(x => x.ListId == id).Where(x => x.IsCompleted != true);
            return View(await tasks.ToListAsync());
        }

        public async Task<IActionResult> CompletedTasks(int id)
        {
            var tasks = _context.ToDoTasks.Where(x => x.ListId == id).Where(x => x.IsCompleted == true);
            return View(await tasks.ToListAsync());
        }

        public async Task<IActionResult> CompletedTasksAll()
        {
            var tasks = _context.ToDoTasks.Where(x => x.IsCompleted == true);
            return View(await tasks.ToListAsync());
        }

        public async Task<IActionResult> TasksDueDateToday()
        {
            var tasks = _context.ToDoTasks.Where(x => x.DueDate.DayOfYear == date).Where(x => x.Status != "Done");
            return View(await tasks.ToListAsync());
        }

        public async Task<IActionResult> Details(int? id)
        {
            var toDoTask = await _context.ToDoTasks
                .Include(t => t.List)
                .FirstOrDefaultAsync(m => m.Id == id);
            if (toDoTask == null)
            {
                return NotFound();
            }

            return View(toDoTask);
        }

        public IActionResult Create()
        {
            ViewData["ListId"] = new SelectList(_context.ToDoLists, "Id", "Title");
            return View(new ToDoTask());
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Title,Description,Status,Created,DueDate,IsCompleted,ListId")] ToDoTask toDoTask)
        {
            _context.Add(toDoTask);
            toDoTask.Created = DateTime.Now;
            toDoTask.Status = "Not started";
            toDoTask.IsCompleted = false;
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> Edit(int? id)
        {
            var toDoTask = await _context.ToDoTasks.FindAsync(id);
            if (toDoTask == null)
            {
                return NotFound();
            }
            ViewData["ListId"] = new SelectList(_context.ToDoLists, "Id", "Title", toDoTask.ListId);
            return View(toDoTask);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(int id, [Bind("Id,Title,Description,Notes,Status,Created,DueDate,IsCompleted,ListId")] ToDoTask toDoTask)
        {
            var result = _context.ToDoTasks.SingleOrDefault(t => t.Id == id);
            if (result != null)
            {
                result.Title = toDoTask.Title;
                result.Description = toDoTask.Description;
                result.Status = toDoTask.Status;
                result.DueDate = toDoTask.DueDate;
                _context.SaveChanges();
            }
            return RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> Delete(int? id)
        {
            var toDoTask = await _context.ToDoTasks
                .Include(t => t.List)
                .FirstOrDefaultAsync(m => m.Id == id);
            if (toDoTask == null)
            {
                return NotFound();
            }

            return View(toDoTask);
        }

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            if (_context.ToDoTasks == null)
            {
                return Problem("Entity set 'ToDoDbContext.ToDoTasks'  is null.");
            }
            var toDoTask = await _context.ToDoTasks.FindAsync(id);
            if (toDoTask != null)
            {
                _context.ToDoTasks.Remove(toDoTask);
            }
            
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        public async Task<IActionResult> Done(int id)
        {
            ToDoTask task = _context.ToDoTasks.FirstOrDefault(x => x.Id == id);
            task.IsCompleted = true;
            task.Status = "Done";
            await _context.SaveChangesAsync();

            return RedirectToAction(nameof(CompletedTasksAll));
        }
    }
}

CapstoneProjectToDoApplication/Views/ToDoTasks/CompletedTasks.cshtml
@model IEnumerable<CapstoneProjectToDoApplication.Models.ToDoTask>

@{
    ViewData["Title"] = "CompletedTasks";
}

<h1 class="display-4">Completed Tasks</h1>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Created)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DueDate)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Created)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DueDate)
            </td>
            <td>
                    <a class="btn btn-danger" asp-action="Delete" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
<div>
    <a asp-controller="ToDoLists" class="btn btn-secondary" asp-action="Index">Back to Lists</a>
</div>

<center><img src="~/css/picture3.jpg" width="800" height="550" /></center>

CapstoneProjectToDoApplication/Views/ToDoTasks/CompletedTasksAll.cshtml
@model IEnumerable<CapstoneProjectToDoApplication.Models.ToDoTask>

@{
    ViewData["Title"] = "CompletedTasksAll";
}

<h1 class="display-4">Completed Tasks</h1>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Created)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DueDate)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Created)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DueDate)
            </td>
            <td>
                    <a class="btn btn-danger" asp-action="Delete" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>

<div>
    <a asp-controller="ToDoTasks" class="btn btn-secondary" asp-action="Index">Back to Active Tasks</a>
</div>

<center><img src="~/css/picture3.jpg" width="800" height="550" /></center>

CapstoneProjectToDoApplication/Views/ToDoTasks/Create.cshtml
@model CapstoneProjectToDoApplication.Models.ToDoTask

@{
    ViewData["Title"] = "Create";
}

<h1 class="display-4">Create New Task</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DueDate" class="control-label"></label>
                <input asp-for="DueDate" class="form-control" />
                <span asp-validation-for="DueDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="List" class="control-label"></label>
                <select asp-for="ListId" class ="form-control" asp-items="ViewBag.ListId"></select>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-dark" />
            </div>
        </form>
    </div>
</div>

<div>
    <a class="btn btn-secondary" asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
    <center><img src="~/css/picture2.jpg" /></center>

CapstoneProjectToDoApplication/Views/ToDoTasks/Delete.cshtml
@model CapstoneProjectToDoApplication.Models.ToDoTask

@{
    ViewData["Title"] = "Delete";
}

<h1 class="display-4">Delete</h1>

<h3>Are you sure you want to delete this task?</h3>
<div>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Title)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Title)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Description)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Description)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Status)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Status)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Created)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Created)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.DueDate)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.DueDate)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.List)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.List.Title)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <input type="hidden" asp-for="Id" />
        <input type="submit" value="Delete" class="btn btn-danger" /> 
        <a class="btn btn-secondary" asp-action="Index">Back to List</a>
    </form>
</div>
<center><img src="~/css/picture2.jpg" /></center>

CapstoneProjectToDoApplication/Views/ToDoTasks/Details.cshtml
@model CapstoneProjectToDoApplication.Models.ToDoTask

@{
    ViewData["Title"] = "Details";
}

<h1 class="display-4">Details</h1>

<div>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Title)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Title)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Description)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Description)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Status)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Status)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Created)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Created)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.DueDate)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.DueDate)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.List)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.List.Title)
        </dd>
    </dl>
</div>
<div class="d-grid gap-2 d-md-block">
    <a class="btn btn-secondary" asp-action="Edit" asp-route-id="@Model?.Id">Edit</a>
    <a class="btn btn-secondary" asp-action="Index">Back to Tasks</a>
</div>
<center><img src="~/css/picture2.jpg" /></center>

CapstoneProjectToDoApplication/Views/ToDoTasks/Edit.cshtml
@model CapstoneProjectToDoApplication.Models.ToDoTask

@{
    ViewData["Title"] = "Edit";
}

<h1 class="display-4">Edit</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Status" class="control-label"></label>
                <input asp-for="Status" class="form-control" />
                <span asp-validation-for="Status" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DueDate" class="control-label"></label>
                <input asp-for="DueDate" class="form-control" />
                <span asp-validation-for="DueDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-controller="ToDoLists" class="btn btn-secondary" asp-action="Index">Back to Lists</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
    <center><img src="~/css/picture2.jpg" /></center>

CapstoneProjectToDoApplication/Views/ToDoTasks/GetTasks.cshtml
@model IEnumerable<CapstoneProjectToDoApplication.Models.ToDoTask>

@{
    ViewData["Title"] = "GetTasks";
}

<h1 class="display-4">Tasks</h1>
<p>
    <a class="btn btn-secondary" asp-action="Create">Create New Task</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Created)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DueDate)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Created)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DueDate)
            </td>
            <td>
                    <a class="btn btn-success" asp-action="Done" asp-route-id="@item.Id">Completed</a>
                    <a class="btn btn-dark" asp-action="Edit" asp-route-id="@item.Id">Edit</a> 
                    <a class="btn btn-dark" asp-action="Details" asp-route-id="@item.Id">Details</a> 
                    <a class="btn btn-dark" asp-action="Delete" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
<div>
    <a asp-controller="ToDoLists" class="btn btn-secondary" asp-action="Index">Back to Lists</a>
</div>

<center><img src="~/css/picture2.jpg" /></center>

CapstoneProjectToDoApplication/Views/ToDoTasks/Index.cshtml
@model IEnumerable<CapstoneProjectToDoApplication.Models.ToDoTask>

@{
    ViewData["Title"] = "Index";
}

<h1 class="display-4">All tasks</h1>

<p>
    <a class="btn btn-secondary" asp-action="Create">Create New Task</a>
    <a class="btn btn-secondary" asp-action="TasksDueDateToday">Show due date today tasks</a>
    <a class="btn btn-success" asp-action="CompletedTasksAll">Completed tasks</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Created)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DueDate)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Created)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DueDate)
            </td>
            <td>
                    <a class="btn btn-success" asp-action="Done" asp-route-id="@item.Id">Completed</a>
                    <a class="btn btn-dark" asp-action="Edit" asp-route-id="@item.Id">Edit</a> 
                    <a class="btn btn-dark"asp-action="Details" asp-route-id="@item.Id">Details</a> 
                    <a class="btn btn-danger" asp-action="Delete" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>

<div>
    <a asp-controller="ToDoLists" class="btn btn-secondary" asp-action="Index">Back to Lists</a>
</div>

<center><img src="~/css/picture2.jpg" /></center>

CapstoneProjectToDoApplication/Views/ToDoTasks/TasksDueDateToday.cshtml
@model IEnumerable<CapstoneProjectToDoApplication.Models.ToDoTask>

@{
    ViewData["Title"] = "TasksDueDateToday";
}

<h1 class="display-4">Tasks that are due today</h1>

<p>
    <a class="btn btn-secondary" asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Created)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DueDate)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Created)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DueDate)
            </td>
            <td>
                    <a class="btn btn-dark" asp-action="Edit" asp-route-id="@item.Id">Edit</a> 
                    <a class="btn btn-dark" asp-action="Details" asp-route-id="@item.Id">Details</a> 
                    <a class="btn btn-danger" asp-action="Delete" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
<div>
    <a asp-controller="ToDoTasks" class="btn btn-secondary" asp-action="Index">Back to Active Tasks</a>
</div>
<center><img src="~/css/picture2.jpg" /></center>